
Foreman - Bug #5482

Errror when doing an rpm based upgrade from 1.4.1 to 1.5.RC2

04/29/2014 08:56 AM - Peter Gustafsson

Status: Resolved   

Priority: High   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When doing an rpm based upgrade from  1.4.1 to 1.5 rc2 it fails with below:

Downloading Packages:

foreman-1.5.0-0.2.RC2.el6.noarch.rpm                                                                                                                                                     |

3.1 MB     00:00

Running rpm_check_debug

Running Transaction Test

Transaction Test Succeeded

Running Transaction

Updating   : foreman-1.5.0-0.2.RC2.el6.noarch                                                                                                                                         

1/2

Error unpacking rpm package foreman-1.5.0-0.2.RC2.el6.noarch

warning: /etc/cron.d/foreman saved as /etc/cron.d/foreman.rpmsave

warning: /etc/foreman/settings.yaml created as /etc/foreman/settings.yaml.rpmnew

error: unpacking of archive failed on file /usr/share/foreman/config/settings.plugins.d: cpio: rename

Verifying  : foreman-1.5.0-0.2.RC2.el6.noarch                                                                                                                                           

1/2

foreman-1.4.1-2.el6.noarch was supposed to be removed but is not!

Verifying  : foreman-1.4.1-2.el6.noarch                                                                                                                                                      

2/2

Failed:

foreman.noarch 0:1.4.1-2.el6                                                                        foreman.noarch 0:1.5.0-0.2.RC2.el6

Complete!

Br, Peter

Related issues:

Related to Foreman - Bug #4465: %pretrans failure during kickstart Closed 02/26/2014

Related to Foreman - Feature #4197: Foreman package should handle creation of... Closed 01/27/2014

History

#1 - 04/29/2014 09:07 AM - Dominic Cleal

- Related to Bug #4465: %pretrans failure during kickstart added

#2 - 05/01/2014 08:23 PM - Nick Piacentine

When trying to upgrade manually with rpm, I get this slightly more helpful message:

Preparing packages for installation...

foreman-1.5.0-0.2.RC2.el6

warning: /etc/cron.d/foreman saved as /etc/cron.d/foreman.rpmsave

warning: /etc/foreman/settings.yaml created as /etc/foreman/settings.yaml.rpmnew

error: unpacking of archive failed on file /usr/share/foreman/config/settings.plugins.d: cpio: rename failed - Is a directory

Moving/deleting the /usr/share/foreman/config/settings.plugins.d directory made the update complete successfully.

05/10/2024 1/2



#3 - 05/02/2014 07:56 AM - Dominic Cleal

As a workaround, move the contents of /usr/share/foreman/config/settings.plugins.d to a temporary directory before upgrading and then move them

back to /etc/foreman/plugins/ after.  We might be able to write a lua %pretrans script, but I'll otherwise document it in the upgrade notes.

#4 - 05/02/2014 08:15 AM - Dominic Cleal

- Related to Feature #4197: Foreman package should handle creation of plugin directories added

#5 - 05/07/2014 02:34 PM - Dominic Cleal

I've documented this in the upgrade instructions, sorry we haven't been able to address this via the spec file in time for 1.5.0.

#6 - 05/18/2017 07:35 PM - Anonymous

- Status changed from New to Resolved
